Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 534684 (CVE-2014-9093) - <app-office/libreoffice{,-bin}-4.3.5.2: RCE/DoS via specially crafted RTF file (CVE-2014-9093)
Summary: <app-office/libreoffice{,-bin}-4.3.5.2: RCE/DoS via specially crafted RTF fil...
Status: RESOLVED FIXED
Alias: CVE-2014-9093
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks: 538390
  Show dependency tree
 
Reported: 2015-01-04 18:46 UTC by GLSAMaker/CVETool Bot
Modified: 2016-03-09 18:10 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2015-01-04 18:46:15 UTC
CVE-2014-9093 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-9093):
  LibreOffice before 4.3.5 allows remote attackers to cause a denial of
  service (invalid write operation and crash) and possibly execute arbitrary
  code via a crafted RTF file.
Comment 1 Andreas K. Hüttel gentoo-dev 2015-02-14 16:48:57 UTC
Yep. Let's do it. 

Arches please TEST (especially the -bin packages, which I cannot really install myself) and stabilize, 

(together and simultaneous with ICU 54.1-r1 in bug 539108, because of libreoffice-bin dependencies).

Target: amd64 x86

=app-office/libreoffice-4.3.5.2
=app-office/libreoffice-bin-4.3.5.2
=app-office/libreoffice-bin-debug-4.3.5.2
=app-office/libreoffice-l10n-4.3.5.2

=app-text/libabw-0.1.1
=app-text/libebook-0.1.2
=app-text/libetonyek-0.1.1
=app-text/libmspub-0.1.2
=app-text/libmwaw-0.3.4
=app-text/libodfgen-0.1.3
=app-text/libwpd-0.10.0-r1
=app-text/libwpg-0.3.0
=app-text/libwps-0.3.1
=dev-libs/libixion-0.7.0
=dev-libs/liborcus-0.7.0
=dev-libs/librevenge-0.0.2
=media-libs/glm-0.9.6.1
=media-libs/libcdr-0.1.1
=media-libs/libfreehand-0.1.0
=media-libs/libgltf-0.0.2
=media-libs/libvisio-0.1.1

# details in bug 539108
=dev-libs/icu-54.1-r1
Comment 2 Agostino Sarubbo gentoo-dev 2015-02-15 14:57:36 UTC
amd64 stable
Comment 3 Agostino Sarubbo gentoo-dev 2015-02-15 14:59:27 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 4 Andreas K. Hüttel gentoo-dev 2015-02-15 17:48:32 UTC
All vulnerable versions removed. Office out.
Comment 5 Kristian Fiskerstrand gentoo-dev Security 2015-02-15 17:50:47 UTC
New GLSA Request filed.
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2016-03-09 18:10:53 UTC
This issue was resolved and addressed in
 GLSA 201603-05 at https://security.gentoo.org/glsa/201603-05
by GLSA coordinator Kristian Fiskerstrand (K_F).